// Asynch_IO_Impl.i,v 4.2 2002/04/16 22:47:13 shuston Exp


ACE_INLINE const void *
ACE_Asynch_Result_Impl::act (void) const
{
  return this->act_;
}

ACE_INLINE const void *
ACE_Asynch_Result_Impl::completion_key (void) const
{
  return this->completion_key_;
}

ACE_INLINE size_t
ACE_Asynch_Result_Impl::bytes_transferred (void) const
{
  return this->bytes_transferred_;
}

ACE_INLINE u_long
ACE_Asynch_Result_Impl::error (void) const
{
  return this->error_;
}

ACE_INLINE int
ACE_Asynch_Result_Impl::success (void) const
{
  return (this->state_ == COMPLETED && this->error_ == 0);
}

ACE_INLINE int
ACE_Asynch_Result_Impl::state (void) const
{
  return this->state_;
}

ACE_INLINE int
ACE_Asynch_Result_Impl::op_code (void) const
{
  return this->op_code_;
}

ACE_INLINE int
ACE_Asynch_Result_Impl::is_internal_result (void) const
{
  return (this->flags_ == INTERNAL_RESULT);
}

ACE_INLINE void
ACE_Asynch_Result_Impl::set_bytes_transferred (size_t nbytes)
{
  this->bytes_transferred_ = nbytes;
}

ACE_INLINE void
ACE_Asynch_Result_Impl::set_error (u_long errcode)
{
  this->error_ = errcode;
}


// ********************************************************

ACE_INLINE
ACE_Asynch_Operation_Impl::ACE_Asynch_Operation_Impl (void)
{
}

ACE_INLINE
ACE_Asynch_Read_Stream_Impl::ACE_Asynch_Read_Stream_Impl (void)
  : ACE_Asynch_Operation_Impl ()
{
}


ACE_INLINE
ACE_Asynch_Write_Stream_Impl::ACE_Asynch_Write_Stream_Impl (void)
  : ACE_Asynch_Operation_Impl ()
{
}


ACE_INLINE
ACE_Asynch_Read_File_Impl::ACE_Asynch_Read_File_Impl (void)
  : ACE_Asynch_Operation_Impl (),
    ACE_Asynch_Read_Stream_Impl ()
{
}


ACE_INLINE
ACE_Asynch_Write_File_Impl::ACE_Asynch_Write_File_Impl (void)
  : ACE_Asynch_Operation_Impl (),
    ACE_Asynch_Write_Stream_Impl ()
{
}


ACE_INLINE
ACE_Asynch_Accept_Impl::ACE_Asynch_Accept_Impl (void)
  : ACE_Asynch_Operation_Impl ()
{
}


ACE_INLINE
ACE_Asynch_Connect_Impl::ACE_Asynch_Connect_Impl (void)
  : ACE_Asynch_Operation_Impl ()
{
}


ACE_INLINE
ACE_Asynch_Transmit_File_Impl::ACE_Asynch_Transmit_File_Impl (void)
  : ACE_Asynch_Operation_Impl ()
{
}


ACE_INLINE
ACE_Asynch_Read_Dgram_Impl::ACE_Asynch_Read_Dgram_Impl (void)
  : ACE_Asynch_Operation_Impl ()
{
}


ACE_INLINE
ACE_Asynch_Write_Dgram_Impl::ACE_Asynch_Write_Dgram_Impl (void)
  : ACE_Asynch_Operation_Impl ()
{
}

