/* -*- C++ -*- */

//=============================================================================
/**
 *  @file    POSIX_CB_Proactor.h
 *
 *  POSIX_CB_Proactor.h,v 4.6 2002/12/06 03:20:24 shuston Exp
 *
 *  @author Alexander Libman <libman@terabit.com.au>
 */
//=============================================================================

#ifndef ACE_POSIX_CB_PROACTOR_H
#define ACE_POSIX_CB_PROACTOR_H

#include "ace/POSIX_Proactor.h"

#if (defined (ACE_HAS_AIO_CALLS) || defined(ACE_HAS_AIO_EMULATION)) && !defined(__sun) && !defined(__Lynx__)

/**
 * @class ACE_POSIX_CB_Proactor
 *
 * @brief Implementation of Callback-based Proactor
 * };
 */
class ACE_Export ACE_POSIX_CB_Proactor: public ACE_POSIX_Proactor 
{
public:
  ACE_POSIX_CB_Proactor (size_t max_op = ACE_AIO_DEFAULT_SIZE);
};


#endif /* ACE_HAS_AIO_CALLS && !__sun && !__Lynx__ */
#endif /* ACE_POSIX_CB_PROACTOR_H*/
